Package org.eclipse.lemminx.extensions.xsi.participants

## Class XSICompletionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter
  - - org.eclipse.lemminx.extensions.xsi.participants.XSICompletionParticipant

All Implemented Interfaces:
  `ICompletionParticipant`

    public class XSICompletionParticipant
    extends CompletionParticipantAdapter

XSICompletionParticipant

### Constructor Summary

Constructors
`XSICompletionParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onAttributeName​(boolean generateValue, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`
`void` `onAttributeValue​(String valuePrefix, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collects and stores attribute value completion items within the provided completion response `response`

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter

`onDTDSystemId, onTagOpen, onXMLContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.completion.ICompletionParticipant

`getResolveCompletionItemParticipant`

### Constructor Detail

#### XSICompletionParticipant

    public XSICompletionParticipant()

### Method Detail

#### onAttributeName

    public void onAttributeName​(boolean generateValue,
                                ICompletionRequest request,
                                ICompletionResponse response,
                                org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                         throws Exception

Specified by:
  `onAttributeName` in interface `ICompletionParticipant`
Overrides:
  `onAttributeName` in class `CompletionParticipantAdapter`
Throws:
  `Exception`

#### onAttributeValue

    public void onAttributeValue​(String valuePrefix,
                                 ICompletionRequest request,
                                 ICompletionResponse response,
                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                          throws Exception

Description copied from interface: `ICompletionParticipant`
Collects and stores attribute value completion items within the provided completion response `response`

Specified by:
  `onAttributeValue` in interface `ICompletionParticipant`
Overrides:
  `onAttributeValue` in class `CompletionParticipantAdapter`
Parameters:
  `valuePrefix` - the attribute value before the offset in which completion was invoked
  `request` - the completion request
  `response` - the completion response
Throws:
  `Exception`